rte_table_action_nat_params(3)

NAME
rte_table_action_nat_params

SYNOPSIS

#include <rte_table_action.h>

  Data Fields

int ip_version
union {
uint32_t ipv4
struct rte_ipv6_addr ipv6
} addr
uint16_t port

Detailed Description

NAT action parameters (per table rule).

Definition at line 591 of file rte_table_action.h.

Field Documentation

  int ip_version
IP version for addr: non-zero for IPv4, zero for IPv6.

Definition at line 593 of file rte_table_action.h.

  uint32_t ipv4
IPv4 address; only valid when ip_version is non-zero.

Definition at line 598 of file rte_table_action.h.

  struct rte_ipv6_addr ipv6
IPv6 address; only valid when ip_version is set to 0.

Definition at line 601 of file rte_table_action.h.

  union { ... } addr
IP address.

  uint16_t port
Port.

Definition at line 605 of file rte_table_action.h.

Author

Generated automatically by Doxygen for DPDK from the source code.